Piwigo 2.0.9 register.php页面多个跨站脚本漏洞

2010-05-12T00:00:00
ID SSV:19585
Type seebug
Reporter Root
Modified 2010-05-12T00:00:00

Description

BUGTRAQ ID: 39958 CVE(CAN) ID: CVE-2010-1707

Piwigo是用PHP编写的相册脚本。

Piwigo没有正确地过滤提交给register.php页面的login和mail_address参数便返回给了用户,远程攻击者可以通过提交恶意参数请求执行跨站脚本攻击,导致在用户浏览器会话中执行任意HTML和脚本代码。 0 Piwigo 2.0.9 厂商补丁:

Piwigo project

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://piwigo.org/code/wsvn/Piwigo?op=revision&rev=5936